//===フォーカスアウト
$(document).on("change", ".eventktktcd", function (e) {
  var me = $(this);
  if (e.bubbles == false) {
    return false;
  }
  var grp = $(this).closest(".ktktcdGrp");

  // 直近の１つ
  var ktktcd = grp.find(".ktktcd")[0];
  var ktktnm = grp.find(".ktktnm")[0];
  var ktcls = grp.find(".ktcls")[0];

  if(ktktnm != null){  //undefindじゃない
    common.setValue($(ktktnm), "");
  }
  if(ktcls != null){  //undefindじゃない
    common.setValue($(ktcls), "");
  }

  var $stpflg = $(this).data("stpflg"); //0=廃止可(デフォルト) 1=廃止可 2=マスタ無し可能
  if(!stringUtil.isValid($stpflg)) {
    $stpflg = '0';
  }

  var $ktcls = $(this).data("ktcls"); //0=全て可(デフォルト) 1=倉庫 2=拠点
  if(!stringUtil.isValid($ktcls)) {
    $ktcls = '0';
  }

  common.clearError(me);
  common.changeVal(me);

  if ($(this).val() == "") {
    me.trigger("clearChangeKtktcd", "");
    return true;
  }

  if(!me.hasClass("nolpad")) {
    let mlen = $(this).attr("maxlength");
    common.setValue($(this), stringUtil.lpadStr( common.getValue( $(this)), mlen, "0" )  );
  }

  var me = $(this);

  var sendData = {};

  sendData["tblnm"] = "afm05";
  sendData["ktktcd"] = common.getValue(ktktcd);
  sendData["ktcls"] = $ktcls;
  sendData["stpflg"] = $stpflg;

  common.postData(
    common.getApiUrl() + "getMstNm.php"
    , sendData
    , function (data) {
      // 特殊処理があれば
      var obj = JSON.parse(data);

      if ($ktcls == "2") { //拠点の時
        if (obj.ktcls != "02" && obj.ktcls != "04" && obj.ktcls != "70") {
          $(me).val("");
          common.addError($(me), "入力された拠点は登録対象外です。", null);
          me.trigger("errChangeKtktcd","入力された拠点は登録対象外です");
          return false;
        }
      } else if(String($ktcls).length == 2) {
        if(obj.ktcls != $ktcls) {
          console.log(obj.ktclsnm);
          $(me).val("");
          common.addError($(me), "拠点識別が異なります。", null);
          me.trigger("errChangeKtktcd","拠点識別が異なります");
          return false;
        }
      }

      if(ktktnm != null) {  //undefindじゃない
        common.setValue($(ktktnm), obj.ktktnm);
      }
      if(ktcls != null) {  //undefindじゃない
        common.setValue($(ktcls), obj.ktcls);
      }

      if (me.attr("regSuccess")) {
        me.trigger("regSuccess", obj);
      }
      me.trigger("afterChangeKtktcd", data);
    }
    , function (error) {
      if (me.attr("regError")) {
        $(me).val("");
        $(me).trigger("regError", [error, $(me)]);
      } else {
        $(me).val("");
        common.addError($(me), error.msg, null);
        me.trigger("errChangeKtktcd", error.msg);
      }
      $(me).focus();
    }
  );

  return false;
});
